## Get Batch

**get** `/api/v2/batches/{batch_id}`

Get a batch by ID.

### Path Parameters

- `batch_id: string`

### Query Parameters

- `expand: optional array of string`

  Fields to expand. Supported value: results.

- `organization_id: optional string`

- `project_id: optional string`

### Cookie Parameters

- `session: optional string`

### Returns

- `id: string`

  Unique identifier

- `config: object { job }`

  Batch configuration snapshot.

  - `job: object { configuration_id, type }`

    Job to create for each file in the source directory.

    - `configuration_id: string`

      Saved product configuration ID matching the job type.

    - `type: "parse_v2" or "extract_v2"`

      Product job type to run for each source directory file.

      - `"parse_v2"`

      - `"extract_v2"`

- `project_id: string`

  Project this batch belongs to.

- `source_directory_id: string`

  Directory being processed.

- `status: "PENDING" or "THROTTLED" or "RUNNING" or 3 more`

  Current batch status.

  - `"PENDING"`

  - `"THROTTLED"`

  - `"RUNNING"`

  - `"COMPLETED"`

  - `"FAILED"`

  - `"CANCELLED"`

- `created_at: optional string`

  Creation datetime

- `results: optional array of object { source_directory_file_id, error_message, job_reference }`

  Expanded per-file result mappings. Null unless requested with expand=results, or until result mappings are available.

  - `source_directory_file_id: string`

    Source directory file processed by this batch.

  - `error_message: optional string`

    Batch-level mapping error if the system could not create or associate a job for this source file.

  - `job_reference: optional object { id, type }`

    Reference to a job produced by a batch.

    Example:
    {
    "type": "parse_v2",
    "id": "pjb-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"
    }

    - `id: string`

      Job ID, such as a parse job ID.

    - `type: "parse_v2" or "extract_v2"`

      Type of job produced for the file.

      - `"parse_v2"`

      - `"extract_v2"`

- `updated_at: optional string`

  Update datetime

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v2/batches/$BATCH_ID \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
```

#### Response

```json
{
  "id": "id",
  "config": {
    "job": {
      "configuration_id": "cfg-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "type": "parse_v2"
    }
  },
  "project_id": "project_id",
  "source_directory_id": "source_directory_id",
  "status": "PENDING",
  "created_at": "2019-12-27T18:11:19.117Z",
  "results": [
    {
      "source_directory_file_id": "dfl-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "error_message": "error_message",
      "job_reference": {
        "id": "pjb-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
        "type": "parse_v2"
      }
    }
  ],
  "updated_at": "2019-12-27T18:11:19.117Z"
}
```
